# The SplBool class

(PECL spl_types >= 0.1.0)

## Introduction

The SplBool class is used to enforce strong typing of the bool type.

## Class synopsis

SplBool extends SplEnum {
/* Constants */
const boolean __default = `FALSE` ;
const boolean false = `FALSE` ;
const boolean true = `TRUE` ;
/* Inherited methods */
public SplEnum::getConstList ([ bool `$include_default` = `FALSE` ] ) : array
}

## Predefined Constants

`SplBool::__default`

`SplBool::false`

`SplBool::true`

## Examples

Example #1 SplBool usage example

`<?php
$true = new SplBool(true);
if ($true) {
echo "TRUE\n";
}
$false = new SplBool;
if ($false) {
echo "FALSE\n";
}
?>`

The above example will output:

    TRUE